import query = require("querystring");
import bodyParser = require("body-parser");

export class MsgObject {
    static parse(body: any){
        const isObject = (obj) => {
            return obj.constructor === Object;
        };

        const regExp = new RegExp(/<xml>[\s\S]*?<\/xml>/g);

        if (regExp.test(body)) {
            return body;
        }

        try {
            // debug
            if (isObject(body)) {
                return body
            } else {
                const json = JSON.parse(body);

                if (Object.keys(json).length > 0) {
                    return json;
                }
                return body;
            }
        }
        catch (ex) {
            const obj = query.parse(body);

            if (Object.keys(obj).length > 0) {
                return obj;
            }
            return body;
        }
    };
}