"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var path = require("path");
var mappings = [];
var MainModule = /** @class */ (function () {
    function MainModule() {
    }
    MainModule.path = function (options) {
        var mainPath = options.homedir + "/" + options.uid + "/main." + options.platform + ".js";
        if (options.platform && fs.existsSync(mainPath)) {
            return mainPath;
        }
        return options.homedir + "/" + options.uid + "/main.js";
    };
    MainModule.normalizedDepsPath = function (module, options) {
        if (mappings[module]) {
            return mappings[module];
        }
        var modulesPath = options.homedir + "/" + options.uid + "/node_modules";
        var folderPath = options.homedir + "/" + options.uid;
        if (module && module.charAt(0) === ".")
            mappings[module] = path.resolve(folderPath, module);
        else if (fs.existsSync(path.resolve(modulesPath, module)))
            mappings[module] = path.resolve(modulesPath, module);
        else
            mappings[module] = module;
        return mappings[module];
    };
    return MainModule;
}());
exports.MainModule = MainModule;
