"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var run_1 = require("./run");
var Script = /** @class */ (function () {
    function Script() {
    }
    Script.prototype.execute = function (options) {
        return new Promise(function (resolve, reject) {
            var runnable = new run_1.Runnable(options);
            var timer = setTimeout(function () {
                reject({
                    message: "Request Timeout"
                });
            }, (15 * 1000));
            runnable.run(options.data).then(function (data) {
                clearTimeout(timer);
                // resolve
                resolve(data);
            }, function (err) {
                reject(err);
            });
        });
    };
    return Script;
}());
exports.Script = Script;
